diff -pruN 0.9.4-1/CMakeLists.txt 0.9.5-1/CMakeLists.txt
--- 0.9.4-1/CMakeLists.txt	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/CMakeLists.txt	2020-05-03 13:50:32.000000000 +0000
@@ -1,34 +1,37 @@
 cmake_minimum_required(VERSION 3.13)
 project(cado
-    VERSION 0.9.4
-    DESCRIPTION "Capability Ambient DO. Provide users just the capabilities they need."
-    HOMEPAGE_URL "https://github.com/rd235/cado"
-    LANGUAGES C)
+	VERSION 0.9.5
+	DESCRIPTION "Capability Ambient DO. Provide users just the capabilities they need."
+	HOMEPAGE_URL "https://github.com/rd235/cado"
+	LANGUAGES C)
 
 include(GNUInstallDirs)
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -Wall -pedantic")
 
 set(LIBS_REQUIRED cap execs mhash pam pam_misc)
 
+option(CADO_RUN_POST_INSTALL "Run PostInstall.cmake" ON)
+
 foreach(THISLIB IN LISTS LIBS_REQUIRED)
-  find_library(${THISLIB}_library ${THISLIB})
-  if(NOT ${THISLIB}_library)
-    message(FATAL_ERROR "library lib${THISLIB} not found")
-  endif()
+	find_library(${THISLIB}_library ${THISLIB})
+	if(NOT ${THISLIB}_library)
+		message(FATAL_ERROR "library lib${THISLIB} not found")
+	endif()
 endforeach(THISLIB)
 
 if (WITHEDITOR)
-        set(EDITOR "${WITHEDITOR}")
+	set(EDITOR "${WITHEDITOR}")
 else (WITHEDITOR)
-        set(EDITOR "/usr/bin/vi")
+	set(EDITOR "/usr/bin/vi")
 endif (WITHEDITOR)
 
 # Spool dir for scado files
-set(CADO_SPOOL_DIR "/usr/local/var/spool/cado")
+set(CADO_SPOOL_DIR
+	"${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/spool/${CMAKE_PROJECT_NAME}")
 
 configure_file(
-        "include/config.h.in"
-        "include/config.h"
+	"include/config.h.in"
+	"include/config.h"
 )
 
 add_subdirectory(man)
diff -pruN 0.9.4-1/debian/changelog 0.9.5-1/debian/changelog
--- 0.9.4-1/debian/changelog	2020-01-30 17:07:28.000000000 +0000
+++ 0.9.5-1/debian/changelog	2020-05-03 16:35:43.000000000 +0000
@@ -1,3 +1,12 @@
+cado (0.9.5-1) unstable; urgency=medium
+
+  * Add debian/postrm
+  * Update debhelper-compat and Standards-Version
+  * Add hardening, update PostInstall flag
+  * New upstream release.
+
+ -- Mattia Biondi <mattiabiondi1@gmail.com>  Sun, 03 May 2020 18:28:42 +0100
+
 cado (0.9.4-1) unstable; urgency=medium
 
   * Initial release. (Closes: #943411)
diff -pruN 0.9.4-1/debian/control 0.9.5-1/debian/control
--- 0.9.4-1/debian/control	2020-01-30 17:07:28.000000000 +0000
+++ 0.9.5-1/debian/control	2020-05-03 16:35:43.000000000 +0000
@@ -3,11 +3,12 @@ Section: admin
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
-Vcs-Git: https://github.com/rd235/cado.git
-Vcs-Browser: https://github.com/rd235/cado
+Vcs-Git: https://salsa.debian.org/virtualsquare-team/cado.git
+Vcs-Browser: https://salsa.debian.org/virtualsquare-team/cado
 
 Package: cado
 Architecture: linux-any
diff -pruN 0.9.4-1/debian/postrm 0.9.5-1/debian/postrm
--- 0.9.4-1/debian/postrm	1970-01-01 00:00:00.000000000 +0000
+++ 0.9.5-1/debian/postrm	2020-05-03 16:35:43.000000000 +0000
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -eu
+
+if [ "$1" = "purge" ];
+then
+	if [ -d /var/spool/cado ];
+	then
+		rm -rf /var/spool/cado
+	fi
+fi
+
+#DEBHELPER#
+exit 0
diff -pruN 0.9.4-1/debian/rules 0.9.5-1/debian/rules
--- 0.9.4-1/debian/rules	2020-01-30 17:07:28.000000000 +0000
+++ 0.9.5-1/debian/rules	2020-05-03 16:35:43.000000000 +0000
@@ -1,19 +1,12 @@
 #!/usr/bin/make -f
 
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDEBUILD=1 -DCADO_SPOOL_DIR="/usr/local/var/spool/cado"
+	dh_auto_configure -- -DCADO_RUN_POST_INSTALL=OFF
diff -pruN 0.9.4-1/debian/watch 0.9.5-1/debian/watch
--- 0.9.4-1/debian/watch	2020-01-30 17:07:28.000000000 +0000
+++ 0.9.5-1/debian/watch	2020-05-03 11:49:52.000000000 +0000
@@ -1,2 +1,5 @@
 version=4
-https://github.com/rd235/cado/tags .*/v@ANY_VERSION@\.tar\.gz
+
+opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cado-$1.tar.gz%" \
+   https://github.com/rd235/cado/tags \
+      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
diff -pruN 0.9.4-1/man/cado.1 0.9.5-1/man/cado.1
--- 0.9.4-1/man/cado.1	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/man/cado.1	2020-05-03 13:50:32.000000000 +0000
@@ -15,7 +15,7 @@ cado \- Capability Ambient DO
 ]
 
 .SH DESCRIPTION
-Cado permits to delegate capabilities to users.
+Cado allows the system administrator to delegate capabilities to users.
 Cado is a capability based sudo. Sudo allows authorized users to run programs as root (or as another user),
 cado allows authorized users to run programs with specific (ambient) capabilities.
 
diff -pruN 0.9.4-1/man/cadrop.1 0.9.5-1/man/cadrop.1
--- 0.9.4-1/man/cadrop.1	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/man/cadrop.1	2020-05-03 13:50:32.000000000 +0000
@@ -14,7 +14,7 @@ cadrop \- Capability Ambient Drop
 ]
 
 .SH DESCRIPTION
-Cadrop permits to drop (ambient) capabilities.
+Cadrop allows users to drop (ambient) capabilities.
 
 Cadrop launches the command indicated as a parameter ($SHELL if omitted) dropping all the capabilities 
 listed in the capability_list.
diff -pruN 0.9.4-1/man/scado.1 0.9.5-1/man/scado.1
--- 0.9.4-1/man/scado.1	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/man/scado.1	2020-05-03 13:50:32.000000000 +0000
@@ -20,8 +20,8 @@ scado \- Script Capability Ambient DO
 
 .SH DESCRIPTION
 
-\fBcado(1)\fR permits to delegate capabilities to users.
-Users can grant a subset of these ambient capabilities to trusted programs. 
+\fBcado(1)\fR allows the system administrator to delegate capabilities to users.
+Users can grant a subset of these ambient capabilities to trusted programs.
 Each user can define their own list of trusted programs and which capabilities to grant, using a scado file.
 \fBcado -S\fR or \fBcado --scado\fR run those trusted programs without any further authentication.
 In this way it is also possible to run programs requiring specific capabilities within a bash script.
diff -pruN 0.9.4-1/src/cado.c 0.9.5-1/src/cado.c
--- 0.9.4-1/src/cado.c	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/src/cado.c	2020-05-03 13:50:32.000000000 +0000
@@ -71,7 +71,7 @@ void usage(char *progname) {
 	fprintf(stderr,"  -f, --force        do not display warnings, do what is allowed\n");
 	fprintf(stderr,"  -v, --verbose      generate extra output\n");
 	fprintf(stderr,"  -S, --scado        check scado pre-authorization for scripts\n");
-	fprintf(stderr,"  -s, --setcap       set the minimun caps for %s (root access)\n",progname);
+	fprintf(stderr,"  -s, --setcap       set the minimum caps for %s (root access)\n",progname);
 	exit(1);
 }
 
diff -pruN 0.9.4-1/src/CMakeLists.txt 0.9.5-1/src/CMakeLists.txt
--- 0.9.4-1/src/CMakeLists.txt	2020-01-31 20:38:25.000000000 +0000
+++ 0.9.5-1/src/CMakeLists.txt	2020-05-03 13:50:32.000000000 +0000
@@ -1,27 +1,27 @@
 cmake_minimum_required(VERSION 3.13)
 
 add_executable(
-        cado cado.c pam_check.c get_user_groups.c capset_from_namelist.c
-        read_conf.c set_ambient_cap.c compute_digest.c file_utils.c
-        scado_parse.c cado_scado_check.c
+	cado cado.c pam_check.c get_user_groups.c capset_from_namelist.c
+	read_conf.c set_ambient_cap.c compute_digest.c file_utils.c
+	scado_parse.c cado_scado_check.c
 )
 target_include_directories(cado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
 target_link_libraries(
-        cado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
-        ${execs_library})
+	cado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
+	${execs_library})
 
 add_executable(cadrop cadrop.c capset_from_namelist.c set_ambient_cap.c)
 target_include_directories(cadrop PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
 target_link_libraries(cadrop ${cap_library})
 
 add_executable(
-        scado scado.c pam_check.c file_utils.c compute_digest.c
-        capset_from_namelist.c scado_parse.c
+	scado scado.c pam_check.c file_utils.c compute_digest.c
+	capset_from_namelist.c scado_parse.c
 )
 target_include_directories(scado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
 target_link_libraries(
-        scado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
-        ${execs_library}
+	scado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
+	${execs_library}
 )
 
 add_executable(caprint caprint.c)
@@ -29,19 +29,19 @@ target_include_directories(caprint PRIVA
 target_link_libraries(caprint ${cap_library})
 
 install(
-        TARGETS cado cadrop scado caprint
-        RUNTIME
-        DESTINATION ${CMAKE_INSTALL_BINDIR}
+	TARGETS cado cadrop scado caprint
+	RUNTIME
+	DESTINATION ${CMAKE_INSTALL_BINDIR}
 )
 
-if(NOT DEBUILD)
-        install(
-                CODE "execute_process(
-                        COMMAND ${CMAKE_COMMAND}
-                        -DBINDIR=${CMAKE_INSTALL_FULL_BINDIR}
-                        -DLIBDIR=${CMAKE_INSTALL_FULL_LIBDIR}
-                        -DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
-                        -P ${PROJECT_SOURCE_DIR}/PostInstall.cmake
-                )"
-        )
+if(CADO_RUN_POST_INSTALL)
+	install(
+		CODE "execute_process(
+			COMMAND ${CMAKE_COMMAND}
+			-DBINDIR=${CMAKE_INSTALL_FULL_BINDIR}
+			-DLIBDIR=${CMAKE_INSTALL_FULL_LIBDIR}
+			-DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
+			-P ${PROJECT_SOURCE_DIR}/PostInstall.cmake
+		)"
+	)
 endif()
